%define major		0
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		caribou
Version:	0.4.21
Release:	%mkrel 15
Summary:	A simplified in-place on-screen keyboard
Group:		Accessibility
License:	LGPLv2+
URL:		https://wiki.gnome.org/Caribou
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://bugzilla.gnome.org/show_bug.cgi?id=791001
Patch0:		fix-style-css.patch
# CVE  https://gitlab.com/linuxmint/pins/mint/caribou/-/commit/00653c5dcc4be5e983b670d00d5724fc21da2e82
Patch1:		00653c5dcc4be5e983b670d00d5724fc21da2e82.patch
Patch2:		caribou-0.4.21-fix-build.patch
# from fedora
Patch3:		drop_gir_patch.patch

BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.5.11
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	python3-pyatspi
Requires:	python3dist(pygobject)

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package	gtk2
Summary:	GTK2 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk2
GTK2 Integration for %{name}.

%package	gtk3
Summary:	GTK3 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk3
GTK3 Integration for %{name}.

%package -n	%{libname}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
Library files for %{name}.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1
autoreconf -fiv
find -name '*.vala' -exec touch {} \;

%build
%configure --disable-static PYTHON=python3
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang caribou

%files -f caribou.lang
%doc NEWS README
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_datadir}/dbus-1/services/org.gnome.Caribou.Daemon.service
%{_libexecdir}/antler-keyboard
%{_libexecdir}/caribou
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas/*
%{python3_sitelib}/caribou/

%files gtk2
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Caribou-%{gir_major}.typelib

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-%{gir_major}.pc
%{_datadir}/gir-1.0/Caribou-%{gir_major}.gir
%{_datadir}/vala/vapi/caribou-1.0.deps
%{_datadir}/vala/vapi/caribou-1.0.vapi


%changelog
* Thu Oct 10 2024 daviddavid <daviddavid> 0.4.21-15.mga10
+ Revision: 2104551
- rebuild for gnome 47

* Sun Apr 03 2022 umeabot <umeabot> 0.4.21-14.mga10
+ Revision: 1841772
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.4.21-13.mga9
+ Revision: 1774422
- update to python 3.10

* Mon Feb 14 2022 tmb <tmb> 0.4.21-12.mga9
+ Revision: 1774368
- Stop patching the generated GIR (Fedora)
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 0.4.21-10.mga9
+ Revision: 1703806
- rebuild for python 3.9

* Wed Jan 13 2021 neoclust <neoclust> 0.4.21-9.mga8
+ Revision: 1671466
- Add P2 to fix the build ( fom Luigi12 )
- Add P1 to fix a CVE (mga#28072)

* Wed Feb 19 2020 umeabot <umeabot> 0.4.21-8.mga8
+ Revision: 1543003
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 08 2020 daviddavid <daviddavid> 0.4.21-7.mga8
+ Revision: 1477318
- add upstream patch to fix style.css issue

* Wed Sep 11 2019 tv <tv> 0.4.21-6.mga8
+ Revision: 1439640
- rebuild for python-3.8

* Mon Sep 02 2019 tv <tv> 0.4.21-5.mga8
+ Revision: 1436244
- requires python3-pyatspi instead of pyatspi

* Mon Sep 02 2019 tv <tv> 0.4.21-4.mga8
+ Revision: 1436240
- switch to python3

* Sat Sep 22 2018 umeabot <umeabot> 0.4.21-3.mga7
+ Revision: 1295991
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.4.21-2.mga7
+ Revision: 1236258
- remove no more available BR python-at-spi

* Sat Jul 30 2016 ovitters <ovitters> 0.4.21-1.mga6
+ Revision: 1043995
- new version 0.4.21

* Tue Feb 16 2016 ovitters <ovitters> 0.4.20-1.mga6
+ Revision: 961724
- new version 0.4.20

* Sat Feb 13 2016 umeabot <umeabot> 0.4.19-2.mga6
+ Revision: 959667
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 ovitters <ovitters> 0.4.19-1.mga6
+ Revision: 890177
- new version 0.4.19

* Sun Jun 28 2015 wally <wally> 0.4.18.1-2.mga6
+ Revision: 847150
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.4.18.1-1.mga6
+ Revision: 836476
- new version 0.4.18.1

* Tue Dec 09 2014 ovitters <ovitters> 0.4.16-1.mga5
+ Revision: 802411
- new version 0.4.16

* Wed Oct 15 2014 umeabot <umeabot> 0.4.15-2.mga5
+ Revision: 746990
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 umeabot <umeabot> 0.4.15-1.mga5
+ Revision: 732527
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- new version 0.4.15

* Sat May 31 2014 pterjan <pterjan> 0.4.13-2.mga5
+ Revision: 628128
- Rebuild for new Python

* Mon Nov 18 2013 ovitters <ovitters> 0.4.13-1.mga4
+ Revision: 551782
- new version 0.4.13

* Sat Nov 09 2013 ovitters <ovitters> 0.4.12-5.mga4
+ Revision: 550144
- fix url

* Sat Nov 02 2013 fwang <fwang> 0.4.12-4.mga4
+ Revision: 548855
- add requires on python-gi

* Sat Oct 19 2013 umeabot <umeabot> 0.4.12-3.mga4
+ Revision: 533534
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 tmb <tmb> 0.4.12-2.mga4
+ Revision: 473804
- rebuild for new webkit

* Wed Aug 21 2013 fwang <fwang> 0.4.12-1.mga4
+ Revision: 469001
- new version 0.4.12

* Tue Jun 04 2013 ovitters <ovitters> 0.4.11-1.mga4
+ Revision: 436869
- new version 0.4.11

* Sat May 25 2013 ovitters <ovitters> 0.4.10-1.mga4
+ Revision: 427378
- update file list
- br gee-0.8
- new version 0.4.10
- new version 0.4.8
- new version 0.4.7
- new version 0.4.6
- new version 0.4.5
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 0.4.4.2-1.mga3
+ Revision: 318071
- new version 0.4.4.2

* Sat Nov 03 2012 fwang <fwang> 0.4.4-3.mga3
+ Revision: 313490
- cleanup br

* Wed Sep 05 2012 ovitters <ovitters> 0.4.4-2.mga3
+ Revision: 288599
- make lib require caribou (mga#5875)

* Wed Sep 05 2012 ovitters <ovitters> 0.4.4-1.mga3
+ Revision: 288473
- new version 0.4.4

* Wed Jul 18 2012 ovitters <ovitters> 0.4.3-1.mga3
+ Revision: 272264
- new version 0.4.3

* Tue Mar 27 2012 ovitters <ovitters> 0.4.2-1.mga2
+ Revision: 227052
- new version 0.4.2

* Sat Feb 18 2012 tv <tv> 0.4.1-4.mga2
+ Revision: 210483
- there's no reason why library should requires the tool

* Fri Feb 10 2012 tv <tv> 0.4.1-3.mga2
+ Revision: 206894
- fix requires so that it really start (mga#4469)

* Sat Dec 17 2011 misc <misc> 0.4.1-2.mga2
+ Revision: 182897
- add missing requires, thanks nanar for spotting it

* Tue Oct 18 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 156073
- new version 0.4.1
+ ovitters <ovitters>
- remove unneeded patches

* Tue Sep 27 2011 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 149174
- new version 0.4.0

* Mon Sep 19 2011 wally <wally> 0.3.92-1.mga2
+ Revision: 145752
- fix file list
- new version 0.3.92

* Tue Sep 06 2011 wally <wally> 0.3.91-1.mga2
+ Revision: 139622
- new version 0.3.91
- split out gir .typelibs to a separate subpackage
- use configure2_5x macro
- add major version check to file list

* Tue Aug 30 2011 colin <colin> 0.3.5-1.mga2
+ Revision: 136470
- BuildRequire: python-gi
- imported package caribou


* Wed Aug 17 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.5-1
- Update to new upstream release 0.3.5

* Tue Jul 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.3-1
- Update to new upstream release 0.3.3

* Thu Jun 16 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.3.2-2
- Tweak BuildRequires

* Tue Jun 14 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.2-1
- Update to new upstream release 0.3.2

* Fri May  6 2011 Christopher Aillon <caillon@redhat.com> - 0.2.00-3
- Update scriptlets per packaging guidelines

* Thu May 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.2.00-2
- Caribou now only be shown in GNOME. (rh#698603)
- Add desktop-file-validate for caribou-autostart.desktop
- Add ||: for caribou-autostart.desktop to skip the error.

* Tue Apr  5 2011 Matthias Clasen <mclasen@redhat.com> - 0.2.00-1
- Update to 0.2.00

* Tue Mar 22 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.92-1
- Update to 0.1.92

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.91-1
- Update to 0.1.91

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.7-1
- Update to 0.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-3
- Require pyatspi, not at-spi-python

* Sat May 29 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-2
- Rewrite spec for autotools

* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
